using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;


namespace PArena
{
    class Bullet_Gun:Bullet
    {
        static float initSpeed = 600;

        public Bullet_Gun(Vector2 pos, Vector2 dir, Texture2D tex, float mul)
            : base(pos, dir, tex, initSpeed)
        {
            tailColor = Color.Gold;
            tailLength = 15;
            positions = new List<VecColor>();
            positions.Add(new VecColor(pos,Color.Red));           
            ttl = 2;
            this.damage = 20*mul;
            soundfx = Cnt.game.soundBank.GetCue("chaingun");
        }


        public override void Update(GameTime gt)
        {
            base.Update(gt);           
        }
        


    }
}
